<!DOCTYPE html>
<html lang="en">
<head>
	<meta charset="UTF-8">
	<title>Document</title>
	<script type="text/javascript">
		function mostrar(){
			console.log(document.f1);
			console.log('llega');
			var contador;
			let f=document.f1.texto;
			
			for(contador=0;contador<2;contador++){
				document.write(f[contador].value);
				document.write("<br>");
			}
			document.close();
		}
	</script>
</head>
<body>
	<button type="" onclick="mostrar()">Pulsa</button>
	<form id="f1" name="f1">
		<input type="text" name="texto" >
		<input type="text" name="texto" >
	</form>
</body>
</html>